Summary:	ChilliSpot is a Wireless LAN Access Point Controller
Name:		chillispot
Version:	1.0
Release:	%mkrel 0.RC3.1
License:	GPL
Group:		System/Servers
URL:		http://www.chillispot.org
Source0:	http://www.chillispot.org/download/%{name}-%{version}RC3.tar.bz2
Source1:	chilli.init.bz2
PreReq:		rpm-helper
BuildRoot:	%{_tmppath}/%{name}-root

%description 
ChilliSpot is an open source captive portal or wireless LAN access
point controller. It supports web based login which is today's
standard for public HotSpots and it supports Wireless Protected
Access (WPA) which is the standard of the future. Authentication,
Authorization and Accounting (AAA) is handled by your favorite
radius server. Read more on http://www.chillispot.org

%prep

%setup -q -n %{name}-%{version}RC3

# fix strange perms
find . -type d -perm 0700 -exec chmod 755 {} \;
find . -type f -perm 0555 -exec chmod 755 {} \;
find . -type f -perm 0444 -exec chmod 644 {} \;
		
# cleanup cvs junk
for i in `find . -type d -name CVS` `find . -type f -name .cvs\*` `find . -type f -name .#\*`; do
    if [ -e "$i" ]; then rm -rf $i; fi >&/dev/null
done

bzcat %{SOURCE1} > chillispot.init

%build

%configure2_5x

%make

%install
[ -n "%{buildroot}" -a "%{buildroot}" != / ] && rm -rf %{buildroot}

# don't fiddle with the initscript!
export DONT_GPRINTIFY=1

install -d %{buildroot}%{_mandir}/man8
install -d %{buildroot}%{_initrddir}

%makeinstall_std

install -m0755 chillispot.init %{buildroot}%{_initrddir}/chillispot
install -m0644 doc/chilli.conf %{buildroot}%{_sysconfdir}/chilli.conf

chmod 644 doc/*

%post
%_post_service chillispot

%preun
%_preun_service chillispot

%clean
[ -n "%{buildroot}" -a "%{buildroot}" != / ] && rm -rf %{buildroot}

%files
%defattr(-,root,root)
%doc CREDITS doc/firewall.iptables doc/freeradius.users doc/hotspotlogin.cgi
%attr(0755,root,root) %{_initrddir}/chillispot
%attr(0644,root,root) %config(noreplace) %{_sysconfdir}/chilli.conf
%{_sbindir}/chilli
%{_mandir}/man8/chilli.8*

%changelog
* Thu Jan 06 2005 Oden Eriksson <oeriksson@mandrakesoft.com> 1.0-0.RC3.1mdk
- 1.0 RC3

* Thu Jan 06 2005 Oden Eriksson <oeriksson@mandrakesoft.com> 0.99-1mdk
- 0.99

* Wed Nov 10 2004 Oden Eriksson <oeriksson@mandrakesoft.com> 0.98-1mdk
- initial mandrake package
